#include <libc.h>
#include "codegen.h"


mkxib(FILE *f, char *modname, char *sym, char *pubnam, int prio, int needflt)
{
	FILE             *fp = fopen("tmp.s", "w");

	if (prio == -1) {
		prio = 32;
	}

	fprintf(fp, ".file %s\n", modname);
	fprintf(fp, ".init\n");
	if (needflt)
		fprintf(fp, ".extrn __8087\n"); /*for fp support */
	fprintf(fp, "%s_\n", pubnam);
	fprintf(fp, ".byte $0,$%d\n", prio == -1 ? 32 : prio);
	fprintf(fp, ".long %s\n", sym);
	fprintf(fp, ".globl %s_\n", pubnam);
	fprintf(fp, ".end\n");
	fclose(fp);
	gas("tmp.s", f);
	return 0;
}
