/*-
 * Global variables.
 *  These variables reflect options set by the user;  once set they
 *  aren't changed.
 */
#ifndef globals_h
#define globals_h

extern char        *libpath;
extern char        *ass_type;
extern char         loader_opts[];
extern char         ccomp_opts[];
extern char         asm_opts[];
extern int          slibsize;
extern long         base_address;

struct runflags {
            int       no_unlink:1;    /* Leave temporary files */
            int       print_stats:1;  /* print statistics      */
            int       use_gas:1;      /* use gas to generate objects */
            int       set_init:1;     /* (pre)load init tables      */
            int       quiet:1;        /* produce no output          */
            int       nofloat:1;
};

extern struct runflags  program_flags;

#endif
