#include <libc.h>
#include "ShObjDef.h"

int
init_nlist(NameList *nm)
{
	nm->count = 0;
	nm->names = 0;
	return 0;
}

int
put_nlist(NameList *nm, char *name)
{
	int	   nl = nm->count+1;
	char      **p = xrealloc(nm->names, nl*sizeof *p,"put_nlist");
	p[nl-1] = name;
	nm->names = p;
	nm->count = nl;
	return 0;
}

int
walk_nlist(NameList *nm, int (*f)(char *name, int ino, void *p), void *p)
{
	int	i;
	for (i=0; i < nm->count; i++) {
		(*f)(nm->names[i], i+1, p);
	}
	return i;
}
