
/*-
 * lmf.c: access lmf files
 */

#include <libc.h>
#include <sys/lmf.h>
#include "ldfile.h"

int
ldf_ismagic(char *fname)
{
	int                    fd;
	struct _lmf_header     lh;     
	struct _lmf_definition lr;
	if ((fd=open(fname, O_RDONLY)) == -1) {
		return -1;
	}
	if (read(fd, &lh, sizeof lh) != sizeof lh) {
		close(fd);
		return -1;
	}
	if (read(fd, &lr, sizeof lr) != sizeof lr) {
		close(fd);
		return -1;
	}
	close(fd);
	return !(lh.rec_type == _LMF_DEFINITION_REC);
}
