

#include <libc.h>
#include "codegen.h"


mkjumptable(FILE *f, struct jmptab *jp)
{
	int 	i;
	FILE    *fp = fopen("tmp.s", "w");

	fprintf(fp, ".file %s\n", jp->jl_modnam);
	fprintf(fp, ".text\n");

	fprintf(fp, "%s_:\n", jp->jl_start);
	fprintf(f, ".long   %s\n",jp->jl_relocp);
	fprintf(f, ".long   $0\n");
	for (i=0; i < jp->j_nvec; i++) {
		fprintf(f, "ljmp    %s\n", jp->j_vec[i]);
		fprintf(f, "nop\nnop\nnop\n");
	}
	fprintf(fp, "%s_:\n", jp->jl_end);

	fprintf(fp, ".globl %s_, %s_\n", jp->jl_start, jp->jl_end);
	fprintf(fp, ".end\n");
	fclose(fp);
	gas("tmp.s", f);
	return 0;
}
