#ifndef map_h
#define map_h

typedef struct map_entry {
	char	*key;
	void	*data;
	struct  map_entry *next;
} map_t;

typedef struct {
	int	nentries;
	map_t	*maplist;
} maptab;


extern maptab *map_new(int nentry);
extern void *map_lookup(maptab *mtab, char *name);
extern void *map_install(maptab *mtab, char *name, void *ptr);
extern int  map_apply(maptab *mtab, int (*f)(), void *p);
#endif
