/*
 * modend: output an end of module record.
 * argument of 0 means "non-main", non-zero means "main".
 *
 */
#include "omf.h"

int
omf_modend(FILE *obj, int ismain)
{
	orec_t *r;
	r = omf_allocrec();
	omf_putbyte(r,ismain ? 1 : 0);
	omf_putrec(obj,r,CMD_MODEND);
	omf_freerec(r);
	return 0;
}
