
#include <libc.h>
#include "codegen.h"
#include "omf.h"


static char *segnames[] = {
//	"",
	"CODE",
//	"DATA",
//	"BSS",
//	"DGROUP", 
	"_TEXT3", 
	};
	
#define _CSEG	1

mktextpad(FILE *fp, long padlen)
{
	orec_t	*r;

	r = omf_allocrec();
	
	omf_theader(fp,"cseg_pad");
	omf_msobj(fp);
	
	omf_lnames(fp,segnames, 2);
	/* define code segment */
				/* align combine type */
	omf_putbyte(r, (ALIGN_BYTE<<5)|(COMB_ADDOFF<<2)|1);
	omf_puteither(r, padlen);	/* length of code  segment */
	omf_putbyte(r, 2);	/* name of segment */
	omf_putbyte(r, 1);	/* segment class-name (lnames index) */
	omf_putbyte(r, 1);	/* overlay flags */
	omf_putrec(fp,r,CMD_SEGD32);
	omf_clear(r);

	omf_putindex(r, _CSEG);	/* section */
	omf_puteither(r, 0);	/* offset */

	omf_putdword(r, padlen);
	omf_putword(r, 1);
	omf_putdword(r, 1);
	omf_putword(r, 0);
	omf_putword(r, 1);
	omf_putrec(fp, r, CMD_LIDA32);
	omf_clear(r);
	omf_freerec(r);
/* put module end def */	
	omf_modend(fp, 0);
	return 0;
}

